toolzerhub API Docs

List post comments

List the first page of comments for a Weibo post. total_number may exceed the returned comments; next_cursor_hint is not a supported pagination cursor.

1 credit / requestBilled only on success
GET
/v1/weibo/posts/comments

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

mid*string

The post whose comments to return.

curl -X GET "https://example.com/v1/weibo/posts/comments?mid=5327962377289859" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "entries": [      {        "id": "string",        "text": "string",        "text_raw": "string",        "created_at": "string",        "like_count": 0,        "floor_number": 0,        "source": "string",        "user": {          "id": "1699432410",          "screen_name": "新华社",          "profile_image_url": "string",          "avatar_hd": "string",          "verified": true,          "verified_reason": "string",          "location": "string",          "followers_count": 0        }      }    ],    "count": 0,    "total_number": 0,    "next_cursor_hint": "string"  }}